summaryrefslogtreecommitdiff
path: root/source3/script/tests/tests_all.sh
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2006-03-21 22:16:44 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:15:40 -0500
commited9ad1827bcead21483ce59464b5e3da7a509d29 (patch)
tree280fdd17338e6988e4f3016e8651251449d7a810 /source3/script/tests/tests_all.sh
parent4ba096740ff8773d7108ca24c6af9a47d085fa00 (diff)
downloadsamba-ed9ad1827bcead21483ce59464b5e3da7a509d29.tar.gz
samba-ed9ad1827bcead21483ce59464b5e3da7a509d29.tar.bz2
samba-ed9ad1827bcead21483ce59464b5e3da7a509d29.zip
r14632: add basic 'make test' using samba4's smbtorture
I'll try to add some tests using samba3's smbtorture and smbclient later. can someone check if this would be save to run on the build-farm without leaking child processes... metze (This used to be commit 899fd6808ebd04d039caf7199c60d34a4987b43a)
Diffstat (limited to 'source3/script/tests/tests_all.sh')
-rwxr-xr-xsource3/script/tests/tests_all.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/source3/script/tests/tests_all.sh b/source3/script/tests/tests_all.sh
new file mode 100755
index 0000000000..6f7a0c3d2d
--- /dev/null
+++ b/source3/script/tests/tests_all.sh
@@ -0,0 +1,8 @@
+
+if [ -n "$SMBTORTURE4" ];then
+ echo "Running Tests with Samba4's smbtorture"
+ $SMBTORTURE4 --version
+ $SCRIPTDIR/test_posix_s3.sh //$SERVER/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
+else
+ echo "Skip Tests with Samba4's smbtorture"
+fi